#include <string.h>
#include "config.h"
#include "cdbslib.h"
#include "loadfile.h"
#include "getref.h"


/* XTRACT_ROOT -- Extract the observation set root from a filename
 *
 * i: fname	the filename
 * o: root	observation set root
 * i: maxch	max length of root
 */

void xtract_root (char *fname, char *root, int maxch)
{
    char	*uscore;
    char	dir[SZ_FNAME+1], name[SZ_FNAME+1], ext[SZ_FNAME+1];

    breakfname (fname, dir, name, ext, SZ_FNAME);
    if (streq (ext, ".fits")) {
      uscore = strrchr (name, '_');
      if (uscore != NULL)
	*uscore = EOS;
    }

    safecopy (root, name, maxch);
}
